This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1021439 - Should not accept the configuration of ipv6/ipv4 static mode when leave the ipv6/ipv4 address empty
Should not accept the configuration of ipv6/ipv4 static mode when leave the i...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-node (Show other bugs)
unspecified
Unspecified Unspecified
medium Severity medium
: ---
: 3.6.0
Assigned To: Fabian Deutsch
Virtualization Bugs
node
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-21 05:48 EDT by wanghui
Modified: 2016-02-10 15:06 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-17 11:41:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Node
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wanghui 2013-10-21 05:48:43 EDT
Description of problem:
It should be better to not accept the configuration of ipv6/ipv4 static mode when leave the ipv6/ipv4 address empty. 

Version-Release number of selected component (if applicable):
rhev-hypervisor6-6.5-20131017.0.iso
ovirt-node-3.0.1-4.el6.noarch

How reproducible:
100%

Steps to Reproduce:
1. Clean install rhev-hypervisor6-6.5-20131017.0.iso.
2. Configure network with ipv6 static mode.
   IPv6 Settings
   Bootprotocol :  ( ) Disabled  ( )Auto   ( )DHCP    (*) Static
   IP Address:  _______________    Prefix Length : ____________________
   Gateway :    _______________
3. Configure network with ipv4 static mode.
   IPv4 Settings
   Bootprotocol :  ( ) Disabled  ( )Auto   ( )DHCP    (*) Static
   IP Address:  _______________    Netmask  :     ____________________
   Gateway :    _______________  

Actual results:
1. After step2&3, it accept the configuration like that.

Expected results:
1. After step2&3, it should give a info to warn user to fill the ip address.

Additional info:
Comment 2 RHEL Product and Program Management 2013-10-25 04:36:37 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 4 Fabian Deutsch 2014-11-06 09:51:56 EST
Re-targeting for 3.6
Comment 5 Fabian Deutsch 2015-09-17 11:41:39 EDT
This functionality will move to cockpit, and thus this bug does not apply there anymore.

Note You need to log in before you can comment on or make changes to this bug.